Skip to navigation

Test a specific version of a meter

View as Markdown
Test a specific version of a meter in Zuora Mediation without executing a full run. It supports multiple input methods, including uploaded files, sample files, and manual test data. This is useful for validating meter logic and transformations before meter run.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

meterIdintegerRequired
The ID of the meter to be tested.
versionstringRequired
The version of the meter to be tested.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Request

This endpoint expects an object.
sourceOptionslist of objectsOptional
eventStoreSourceOptionslist of objectsOptional

Response

Successfully tested meter version.
idstringOptional
Internal run history ID, unique within tenant.
sessionIdstringOptional
The corresponding session ID of this run.
jobIdstringOptional
The corresponding job ID of this run.
meterIdintegerOptional
The meter ID.
versionstringOptional
The version of the meter.
revisionintegerOptional
The revision of the meter version when it runs.
runTypeintegerOptional1-2

The run type of the meter (1 for NORMAL, 2 for DEBUG).

runTypeDescriptionstringOptional
Description of the run type.
startTimestringOptional
The start time of the run in ISO 8601 format.
endTimestringOptional
The end time of the run in ISO 8601 format.
runStatusstringOptional

The status of the run (e.g., NEVER_RUN, TESTING, FAILED).

runStatusDescriptionstringOptional
Description of the run status.
canExportSummarybooleanOptional
Whether the summary is ready to export.
hasLineageEnabledbooleanOptional
Whether lineage is enabled for this run.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error